/* eslint no-unused-vars: "off" */
/* eslint-env es6*/
// Put this file in path/to/plugin/amd/src
// You can call it anything you like

import Vue from './vue/vue';

import {loadStrings} from './util/string-helper';

import RVComponents from './report-viewer-components';
Vue.use(RVComponents);
import PortalVue from './portal-vue/portal-vue.esm';
Vue.use(PortalVue);
import BootstrapVue from './bootstrap-vue/bootstrap-vue';
import { settings } from './util/settings';
Vue.use(BootstrapVue);

let strings = loadStrings({
    myreport: {
        manageInvites: "manage_invites",
    },
});

/**
 * Initialize the Page
 * @param {string} type Type of page to show
 * @param {Object} key Invitekey or userid of another user
 * @param {boolean} enableplansharing True if studyplan sharing is enabled
 */
 export function init(type = "own", key, enableplansharing) {
    let app = new Vue({
        el: '#root',
        data: {
            studyplans: [],
            type: type,
            invitekey: (type == "invited") ? key : null,
            userid: (type == "other") ? key : null,
            text: strings.myreport,
            enableplansharing: enableplansharing,
        },
        methods: {
        },
    });

}

